Package org.opensaml.xmlsec.criterion

# Class SignatureValidationConfigurationCriterion

java.lang.Object
org.opensaml.xmlsec.criterion.SignatureValidationConfigurationCriterion

All Implemented Interfaces:
  `Criterion`

public class SignatureValidationConfigurationCriterion extends Object implements Criterion
Criterion which holds one or more instances of `SignatureValidationConfiguration`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<SignatureValidationConfiguration>`
`configs`
The list of configuration instances.

## Constructor Summary

Constructors
Constructor
Description
`SignatureValidationConfigurationCriterion(List<SignatureValidationConfiguration> configurations)`
Constructor.
`SignatureValidationConfigurationCriterion(SignatureValidationConfiguration... configurations)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<SignatureValidationConfiguration>`
`getConfigurations()`
Get the list of configuration instances.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### configs

@Nonnull private List<SignatureValidationConfiguration> configs
The list of configuration instances.

## Constructor Details

### SignatureValidationConfigurationCriterion

public SignatureValidationConfigurationCriterion(@Nonnull @NotEmpty List<SignatureValidationConfiguration> configurations)
Constructor.

Parameters:
  `configurations` - list of configuration instances

### SignatureValidationConfigurationCriterion

public SignatureValidationConfigurationCriterion(@Nonnull @NotEmpty SignatureValidationConfiguration... configurations)
Constructor.

Parameters:
  `configurations` - varargs array of configuration instances

## Method Details

### getConfigurations

@Nonnull @NotEmpty @NotLive @Unmodifiable public List<SignatureValidationConfiguration> getConfigurations()
Get the list of configuration instances.

Returns:
  the list of configuration instances

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`